Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5098)
@@ -11,28 +11,29 @@
 
   SUBROUTINE conf_phys(ok_journe, ok_mensuel, ok_instan, ok_hf, &
-       ok_LES,&
-       callstats,&
-       solarlong0,seuil_inversion, &
-       fact_cldcon, facttemps,ok_newmicro,iflag_radia,&
-       iflag_cld_th, &
-       ratqsbas,ratqshaut,tau_ratqs, &
-       ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan, flag_volc_surfstrat, aerosol_couple, & 
-       chemistry_couple, flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
-       flag_bc_internal_mixture, bl95_b0, bl95_b1,&
-       read_climoz, &
-       alp_offset)
+          ok_LES, &
+          callstats, &
+          solarlong0, seuil_inversion, &
+          fact_cldcon, facttemps, ok_newmicro, iflag_radia, &
+          iflag_cld_th, &
+          ratqsbas, ratqshaut, tau_ratqs, &
+          ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan, flag_volc_surfstrat, aerosol_couple, &
+          chemistry_couple, flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
+          flag_bc_internal_mixture, bl95_b0, bl95_b1, &
+          read_climoz, &
+          alp_offset)
 
     USE IOIPSL
     USE surface_data
     USE phys_cal_mod
-    USE carbon_cycle_mod,  ONLY: carbon_cycle_tr, carbon_cycle_cpl, carbon_cycle_rad, level_coupling_esm
-    USE carbon_cycle_mod,  ONLY: read_fco2_ocean_cor,var_fco2_ocean_cor
-    USE carbon_cycle_mod,  ONLY: read_fco2_land_cor,var_fco2_land_cor
-    USE chemistry_cycle_mod, ONLY: dms_cycle_cpl, n2o_cycle_cpl
-    USE mod_grid_phy_lmdz, ONLY: klon_glo
-    USE print_control_mod, ONLY: lunout
-    use config_ocean_skin_m, only: config_ocean_skin
-    USE phys_state_var_mod, ONLY: phys_tstep
-    USE infotrac_phy, ONLY: type_trac
+    USE carbon_cycle_mod, ONLY : carbon_cycle_tr, carbon_cycle_cpl, carbon_cycle_rad, level_coupling_esm
+    USE carbon_cycle_mod, ONLY : read_fco2_ocean_cor, var_fco2_ocean_cor
+    USE carbon_cycle_mod, ONLY : read_fco2_land_cor, var_fco2_land_cor
+    USE chemistry_cycle_mod, ONLY : dms_cycle_cpl, n2o_cycle_cpl
+    USE mod_grid_phy_lmdz, ONLY : klon_glo
+    USE print_control_mod, ONLY : lunout
+    use config_ocean_skin_m, only : config_ocean_skin
+    USE phys_state_var_mod, ONLY : phys_tstep
+    USE infotrac_phy, ONLY : type_trac
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
 
     INCLUDE "conema3.h"
@@ -72,84 +73,83 @@
 
     ! Sortie:
-    LOGICAL              :: ok_newmicro
-    INTEGER              :: iflag_radia
-    LOGICAL              :: ok_journe, ok_mensuel, ok_instan, ok_hf
-    LOGICAL              :: ok_LES
-    LOGICAL              :: callstats
-    LOGICAL              :: ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan
-    LOGICAL              :: aerosol_couple, chemistry_couple
-    INTEGER              :: flag_aerosol
-    INTEGER              :: flag_aerosol_strat
-    INTEGER              :: flag_volc_surfstrat
-    LOGICAL              :: flag_aer_feedback
-    LOGICAL              :: flag_bc_internal_mixture
-    REAL                 :: bl95_b0, bl95_b1
-    REAL                 :: fact_cldcon, facttemps,ratqsbas,ratqshaut,tau_ratqs
-    INTEGER              :: iflag_cld_th
-     
-
-    CHARACTER (len = 6), SAVE  :: type_ocean_omp, version_ocean_omp, ocean_omp
-    CHARACTER (len = 10),SAVE  :: type_veget_omp
-    CHARACTER (len = 8), SAVE  :: aer_type_omp
-    INTEGER, SAVE       :: landice_opt_omp
-    INTEGER, SAVE       :: iflag_tsurf_inlandsis_omp,iflag_temp_inlandsis_omp
-    INTEGER, SAVE       :: iflag_albcalc_omp,iflag_z0m_snow_omp   
-    LOGICAL, SAVE       :: SnoMod_omp,BloMod_omp,ok_outfor_omp,ok_zsn_ii_omp
-    LOGICAL, SAVE       :: discret_xf_omp,opt_runoff_ac_omp  
-    LOGICAL, SAVE       :: is_ok_slush_omp,is_ok_z0h_rn_omp,is_ok_density_kotlyakov_omp
-    REAL, SAVE          :: prescribed_z0m_snow_omp,correc_alb_omp
-    REAL, SAVE          :: buf_sph_pol_omp,buf_siz_pol_omp
-    LOGICAL, SAVE       :: ok_newmicro_omp
-    LOGICAL, SAVE       :: ok_all_xml_omp
-    LOGICAL, SAVE       :: ok_lwoff_omp
-    LOGICAL, SAVE       :: ok_journe_omp, ok_mensuel_omp, ok_instan_omp, ok_hf_omp        
-    LOGICAL, SAVE       :: ok_LES_omp   
-    LOGICAL, SAVE       :: callstats_omp
-    LOGICAL, SAVE       :: ok_ade_omp, ok_aie_omp, ok_alw_omp, ok_cdnc_omp, ok_volcan_omp
-    LOGICAL, SAVE       :: aerosol_couple_omp, chemistry_couple_omp
-    INTEGER, SAVE       :: flag_aerosol_omp
-    INTEGER, SAVE       :: flag_aerosol_strat_omp
-    INTEGER, SAVE       :: flag_volc_surfstrat_omp
-    LOGICAL, SAVE       :: flag_aer_feedback_omp
-    LOGICAL, SAVE       :: flag_bc_internal_mixture_omp
-    REAL,SAVE           :: bl95_b0_omp, bl95_b1_omp
-    REAL,SAVE           :: freq_ISCCP_omp, ecrit_ISCCP_omp
-    REAL,SAVE           :: freq_COSP_omp, freq_AIRS_omp 
-    REAL,SAVE           :: fact_cldcon_omp, facttemps_omp,ratqsbas_omp
-    REAL,SAVE           :: tau_cld_cv_omp, coefw_cld_cv_omp
-    INTEGER, SAVE       :: iflag_cld_cv_omp
-
-    REAL, SAVE          :: ratqshaut_omp
-    REAL, SAVE          :: tau_ratqs_omp
-    REAL, SAVE          :: t_coupl_omp
-    INTEGER, SAVE       :: iflag_radia_omp
-    INTEGER, SAVE       :: iflag_rrtm_omp
-    INTEGER, SAVE       :: iflag_albedo_omp !albedo SB
-    LOGICAL, SAVE       :: ok_chlorophyll_omp ! albedo SB  
-    INTEGER, SAVE       :: NSW_omp
-    INTEGER, SAVE       :: iflag_cld_th_omp, ip_ebil_phy_omp
-    INTEGER, SAVE       :: iflag_ratqs_omp
-
-    REAL, SAVE          :: f_cdrag_ter_omp,f_cdrag_oce_omp
-    REAL, SAVE          :: f_rugoro_omp   , z0min_omp
-    REAL, SAVE          :: z0m_seaice_omp,z0h_seaice_omp
-    REAL, SAVE          :: z0m_landice_omp,z0h_landice_omp
-    REAL, SAVE          :: min_wind_speed_omp,f_gust_wk_omp,f_gust_bl_omp,f_qsat_oce_omp, f_z0qh_oce_omp
-    INTEGER, SAVE       :: iflag_gusts_omp,iflag_z0_oce_omp
+    LOGICAL :: ok_newmicro
+    INTEGER :: iflag_radia
+    LOGICAL :: ok_journe, ok_mensuel, ok_instan, ok_hf
+    LOGICAL :: ok_LES
+    LOGICAL :: callstats
+    LOGICAL :: ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan
+    LOGICAL :: aerosol_couple, chemistry_couple
+    INTEGER :: flag_aerosol
+    INTEGER :: flag_aerosol_strat
+    INTEGER :: flag_volc_surfstrat
+    LOGICAL :: flag_aer_feedback
+    LOGICAL :: flag_bc_internal_mixture
+    REAL :: bl95_b0, bl95_b1
+    REAL :: fact_cldcon, facttemps, ratqsbas, ratqshaut, tau_ratqs
+    INTEGER :: iflag_cld_th
+
+    CHARACTER (len = 6), SAVE :: type_ocean_omp, version_ocean_omp, ocean_omp
+    CHARACTER (len = 10), SAVE :: type_veget_omp
+    CHARACTER (len = 8), SAVE :: aer_type_omp
+    INTEGER, SAVE :: landice_opt_omp
+    INTEGER, SAVE :: iflag_tsurf_inlandsis_omp, iflag_temp_inlandsis_omp
+    INTEGER, SAVE :: iflag_albcalc_omp, iflag_z0m_snow_omp
+    LOGICAL, SAVE :: SnoMod_omp, BloMod_omp, ok_outfor_omp, ok_zsn_ii_omp
+    LOGICAL, SAVE :: discret_xf_omp, opt_runoff_ac_omp
+    LOGICAL, SAVE :: is_ok_slush_omp, is_ok_z0h_rn_omp, is_ok_density_kotlyakov_omp
+    REAL, SAVE :: prescribed_z0m_snow_omp, correc_alb_omp
+    REAL, SAVE :: buf_sph_pol_omp, buf_siz_pol_omp
+    LOGICAL, SAVE :: ok_newmicro_omp
+    LOGICAL, SAVE :: ok_all_xml_omp
+    LOGICAL, SAVE :: ok_lwoff_omp
+    LOGICAL, SAVE :: ok_journe_omp, ok_mensuel_omp, ok_instan_omp, ok_hf_omp
+    LOGICAL, SAVE :: ok_LES_omp
+    LOGICAL, SAVE :: callstats_omp
+    LOGICAL, SAVE :: ok_ade_omp, ok_aie_omp, ok_alw_omp, ok_cdnc_omp, ok_volcan_omp
+    LOGICAL, SAVE :: aerosol_couple_omp, chemistry_couple_omp
+    INTEGER, SAVE :: flag_aerosol_omp
+    INTEGER, SAVE :: flag_aerosol_strat_omp
+    INTEGER, SAVE :: flag_volc_surfstrat_omp
+    LOGICAL, SAVE :: flag_aer_feedback_omp
+    LOGICAL, SAVE :: flag_bc_internal_mixture_omp
+    REAL, SAVE :: bl95_b0_omp, bl95_b1_omp
+    REAL, SAVE :: freq_ISCCP_omp, ecrit_ISCCP_omp
+    REAL, SAVE :: freq_COSP_omp, freq_AIRS_omp
+    REAL, SAVE :: fact_cldcon_omp, facttemps_omp, ratqsbas_omp
+    REAL, SAVE :: tau_cld_cv_omp, coefw_cld_cv_omp
+    INTEGER, SAVE :: iflag_cld_cv_omp
+
+    REAL, SAVE :: ratqshaut_omp
+    REAL, SAVE :: tau_ratqs_omp
+    REAL, SAVE :: t_coupl_omp
+    INTEGER, SAVE :: iflag_radia_omp
+    INTEGER, SAVE :: iflag_rrtm_omp
+    INTEGER, SAVE :: iflag_albedo_omp !albedo SB
+    LOGICAL, SAVE :: ok_chlorophyll_omp ! albedo SB
+    INTEGER, SAVE :: NSW_omp
+    INTEGER, SAVE :: iflag_cld_th_omp, ip_ebil_phy_omp
+    INTEGER, SAVE :: iflag_ratqs_omp
+
+    REAL, SAVE :: f_cdrag_ter_omp, f_cdrag_oce_omp
+    REAL, SAVE :: f_rugoro_omp, z0min_omp
+    REAL, SAVE :: z0m_seaice_omp, z0h_seaice_omp
+    REAL, SAVE :: z0m_landice_omp, z0h_landice_omp
+    REAL, SAVE :: min_wind_speed_omp, f_gust_wk_omp, f_gust_bl_omp, f_qsat_oce_omp, f_z0qh_oce_omp
+    INTEGER, SAVE :: iflag_gusts_omp, iflag_z0_oce_omp
 
     REAL :: seuil_inversion
-    REAL,SAVE :: seuil_inversion_omp
-
-    INTEGER,SAVE :: iflag_thermals_omp,nsplit_thermals_omp
-    REAL,SAVE :: tau_thermals_omp,alp_bl_k_omp
+    REAL, SAVE :: seuil_inversion_omp
+
+    INTEGER, SAVE :: iflag_thermals_omp, nsplit_thermals_omp
+    REAL, SAVE :: tau_thermals_omp, alp_bl_k_omp
     ! nrlmd le 10/04/2012
-    INTEGER,SAVE :: iflag_trig_bl_omp,iflag_clos_bl_omp,iflag_strig_omp
-    INTEGER,SAVE :: tau_trig_shallow_omp,tau_trig_deep_omp
-    REAL,SAVE    :: s_trig_omp,h_trig_omp
+    INTEGER, SAVE :: iflag_trig_bl_omp, iflag_clos_bl_omp, iflag_strig_omp
+    INTEGER, SAVE :: tau_trig_shallow_omp, tau_trig_deep_omp
+    REAL, SAVE :: s_trig_omp, h_trig_omp
     ! fin nrlmd le 10/04/2012
     REAL :: alp_offset
     REAL, SAVE :: alp_offset_omp
-    INTEGER,SAVE :: iflag_coupl_omp,iflag_clos_omp,iflag_wake_omp
-    INTEGER,SAVE :: iflag_cvl_sigd_omp
+    INTEGER, SAVE :: iflag_coupl_omp, iflag_clos_omp, iflag_wake_omp
+    INTEGER, SAVE :: iflag_cvl_sigd_omp
     REAL, SAVE :: coef_clos_ls_omp
     REAL, SAVE :: supcrit1_omp, supcrit2_omp
@@ -159,63 +159,63 @@
     REAL, SAVE :: tmax_fonte_cv_omp
 
-    REAL,SAVE :: R_ecc_omp,R_peri_omp,R_incl_omp,solaire_omp
-    REAL,SAVE :: solaire_omp_init
-    LOGICAL,SAVE :: ok_suntime_rrtm_omp
-    REAL,SAVE :: co2_ppm_omp, RCO2_omp, co2_ppm_per_omp, RCO2_per_omp
-    REAL,SAVE :: co2_ppm0_omp
-    REAL,SAVE :: CH4_ppb_omp, RCH4_omp, CH4_ppb_per_omp, RCH4_per_omp
-    REAL,SAVE :: N2O_ppb_omp, RN2O_omp, N2O_ppb_per_omp, RN2O_per_omp
-    REAL,SAVE :: CFC11_ppt_omp,RCFC11_omp,CFC11_ppt_per_omp,RCFC11_per_omp
-    REAL,SAVE :: CFC12_ppt_omp,RCFC12_omp,CFC12_ppt_per_omp,RCFC12_per_omp
-    REAL,SAVE :: epmax_omp
-    REAL,SAVE :: coef_epmax_cape_omp
-    LOGICAL,SAVE :: ok_adj_ema_omp
-    INTEGER,SAVE :: iflag_clw_omp
-    INTEGER,SAVE :: iflag_ice_thermo_omp
-    LOGICAL,SAVE :: ok_ice_sursat_omp
-    LOGICAL,SAVE :: ok_plane_h2o_omp, ok_plane_contrail_omp
-    REAL,SAVE :: rad_froid_omp, rad_chau1_omp, rad_chau2_omp
-    INTEGER,SAVE :: iflag_sic_omp, iflag_inertie_omp
-    REAL,SAVE :: inertie_sol_omp,inertie_sno_omp,inertie_sic_omp
-    REAL,SAVE :: inertie_lic_omp
-    REAL,SAVE :: qsol0_omp
-    REAL,SAVE :: evap0_omp
-    REAL,SAVE :: albsno0_omp
-    REAL      :: solarlong0
-    REAL,SAVE :: solarlong0_omp
-    INTEGER,SAVE :: top_height_omp,overlap_omp
-    REAL,SAVE :: cdmmax_omp,cdhmax_omp,ksta_omp,ksta_ter_omp,f_ri_cd_min_omp
-    LOGICAL,SAVE :: ok_kzmin_omp
-    REAL, SAVE ::  fmagic_omp, pmagic_omp
-    INTEGER,SAVE :: iflag_pbl_omp,lev_histhf_omp,lev_histday_omp,lev_histmth_omp
-    INTEGER,SAVE :: iflag_pbl_split_omp,iflag_physiq_omp
-!FC
-    INTEGER,SAVE :: ifl_pbltree_omp
-    REAL,SAVE :: Cd_frein_omp
-!FC
-    INTEGER,SAVE :: iflag_order2_sollw_omp
-    INTEGER, SAVE :: lev_histins_omp, lev_histLES_omp 
+    REAL, SAVE :: R_ecc_omp, R_peri_omp, R_incl_omp, solaire_omp
+    REAL, SAVE :: solaire_omp_init
+    LOGICAL, SAVE :: ok_suntime_rrtm_omp
+    REAL, SAVE :: co2_ppm_omp, RCO2_omp, co2_ppm_per_omp, RCO2_per_omp
+    REAL, SAVE :: co2_ppm0_omp
+    REAL, SAVE :: CH4_ppb_omp, RCH4_omp, CH4_ppb_per_omp, RCH4_per_omp
+    REAL, SAVE :: N2O_ppb_omp, RN2O_omp, N2O_ppb_per_omp, RN2O_per_omp
+    REAL, SAVE :: CFC11_ppt_omp, RCFC11_omp, CFC11_ppt_per_omp, RCFC11_per_omp
+    REAL, SAVE :: CFC12_ppt_omp, RCFC12_omp, CFC12_ppt_per_omp, RCFC12_per_omp
+    REAL, SAVE :: epmax_omp
+    REAL, SAVE :: coef_epmax_cape_omp
+    LOGICAL, SAVE :: ok_adj_ema_omp
+    INTEGER, SAVE :: iflag_clw_omp
+    INTEGER, SAVE :: iflag_ice_thermo_omp
+    LOGICAL, SAVE :: ok_ice_sursat_omp
+    LOGICAL, SAVE :: ok_plane_h2o_omp, ok_plane_contrail_omp
+    REAL, SAVE :: rad_froid_omp, rad_chau1_omp, rad_chau2_omp
+    INTEGER, SAVE :: iflag_sic_omp, iflag_inertie_omp
+    REAL, SAVE :: inertie_sol_omp, inertie_sno_omp, inertie_sic_omp
+    REAL, SAVE :: inertie_lic_omp
+    REAL, SAVE :: qsol0_omp
+    REAL, SAVE :: evap0_omp
+    REAL, SAVE :: albsno0_omp
+    REAL :: solarlong0
+    REAL, SAVE :: solarlong0_omp
+    INTEGER, SAVE :: top_height_omp, overlap_omp
+    REAL, SAVE :: cdmmax_omp, cdhmax_omp, ksta_omp, ksta_ter_omp, f_ri_cd_min_omp
+    LOGICAL, SAVE :: ok_kzmin_omp
+    REAL, SAVE :: fmagic_omp, pmagic_omp
+    INTEGER, SAVE :: iflag_pbl_omp, lev_histhf_omp, lev_histday_omp, lev_histmth_omp
+    INTEGER, SAVE :: iflag_pbl_split_omp, iflag_physiq_omp
+    !FC
+    INTEGER, SAVE :: ifl_pbltree_omp
+    REAL, SAVE :: Cd_frein_omp
+    !FC
+    INTEGER, SAVE :: iflag_order2_sollw_omp
+    INTEGER, SAVE :: lev_histins_omp, lev_histLES_omp
     INTEGER, SAVE :: lev_histdayNMC_omp
     INTEGER, SAVE :: levout_histNMC_omp(3)
     LOGICAL, SAVE :: ok_histNMC_omp(3)
-    REAL, SAVE    :: freq_outNMC_omp(3), freq_calNMC_omp(3)
+    REAL, SAVE :: freq_outNMC_omp(3), freq_calNMC_omp(3)
     CHARACTER*4, SAVE :: type_run_omp
     LOGICAL, SAVE :: ok_cosp_omp, ok_airs_omp
-    LOGICAL, SAVE :: ok_mensuelCOSP_omp,ok_journeCOSP_omp,ok_hfCOSP_omp
-    REAL, SAVE    :: lonmin_ins_omp, lonmax_ins_omp, latmin_ins_omp, latmax_ins_omp
-    REAL, SAVE    :: ecrit_hf_omp, ecrit_day_omp, ecrit_mth_omp, ecrit_reg_omp
-    REAL, SAVE    :: ecrit_ins_omp
-    REAL, SAVE    :: ecrit_LES_omp
-    REAL, SAVE    :: ecrit_tra_omp
-    REAL, SAVE    :: cvl_comp_threshold_omp
-    REAL, SAVE    :: cvl_sig2feed_omp
-    REAL, SAVE    :: cvl_corr_omp
+    LOGICAL, SAVE :: ok_mensuelCOSP_omp, ok_journeCOSP_omp, ok_hfCOSP_omp
+    REAL, SAVE :: lonmin_ins_omp, lonmax_ins_omp, latmin_ins_omp, latmax_ins_omp
+    REAL, SAVE :: ecrit_hf_omp, ecrit_day_omp, ecrit_mth_omp, ecrit_reg_omp
+    REAL, SAVE :: ecrit_ins_omp
+    REAL, SAVE :: ecrit_LES_omp
+    REAL, SAVE :: ecrit_tra_omp
+    REAL, SAVE :: cvl_comp_threshold_omp
+    REAL, SAVE :: cvl_sig2feed_omp
+    REAL, SAVE :: cvl_corr_omp
     LOGICAL, SAVE :: ok_lic_melt_omp
     LOGICAL, SAVE :: ok_lic_cond_omp
     !
-    REAL, SAVE    :: zrel_oro_t_omp, zstd_orodr_t_omp
-    REAL, SAVE    :: zpmm_orodr_t_omp, zpmm_orolf_t_omp
+    REAL, SAVE :: zrel_oro_t_omp, zstd_orodr_t_omp
+    REAL, SAVE :: zpmm_orodr_t_omp, zpmm_orolf_t_omp
     INTEGER, SAVE :: iflag_cycle_diurne_omp
-    LOGICAL, SAVE :: soil_model_omp,new_oliq_omp
+    LOGICAL, SAVE :: soil_model_omp, new_oliq_omp
     LOGICAL, SAVE :: ok_orodr_omp, ok_orolf_omp, ok_limitvrai_omp
     INTEGER, SAVE :: nbapp_rad_omp, iflag_con_omp
@@ -223,10 +223,10 @@
     INTEGER, SAVE :: iflag_ener_conserv_omp
     LOGICAL, SAVE :: ok_conserv_q_omp
-    LOGICAL,SAVE  :: ok_strato_omp
-    LOGICAL,SAVE  :: ok_hines_omp, ok_gwd_rando_omp
-    REAL, SAVE    :: gwd_rando_ruwmax_omp, gwd_rando_sat_omp
-    REAL, SAVE    :: gwd_front_ruwmax_omp, gwd_front_sat_omp
-    REAL, SAVE    :: sso_gkdrag_omp,sso_grahil_omp,sso_grcrit_omp
-    REAL, SAVE    :: sso_gfrcri_omp,sso_gkwake_omp,sso_gklift_omp
+    LOGICAL, SAVE :: ok_strato_omp
+    LOGICAL, SAVE :: ok_hines_omp, ok_gwd_rando_omp
+    REAL, SAVE :: gwd_rando_ruwmax_omp, gwd_rando_sat_omp
+    REAL, SAVE :: gwd_front_ruwmax_omp, gwd_front_sat_omp
+    REAL, SAVE :: sso_gkdrag_omp, sso_grahil_omp, sso_grcrit_omp
+    REAL, SAVE :: sso_gfrcri_omp, sso_gkwake_omp, sso_gklift_omp
     LOGICAL, SAVE :: ok_qch4_omp
     LOGICAL, SAVE :: carbon_cycle_tr_omp
@@ -236,7 +236,7 @@
     INTEGER, SAVE :: level_coupling_esm_omp
     LOGICAL, SAVE :: read_fco2_ocean_cor_omp
-    REAL, SAVE    :: var_fco2_ocean_cor_omp
+    REAL, SAVE :: var_fco2_ocean_cor_omp
     LOGICAL, SAVE :: read_fco2_land_cor_omp
-    REAL, SAVE    :: var_fco2_land_cor_omp
+    REAL, SAVE :: var_fco2_land_cor_omp
     LOGICAL, SAVE :: adjust_tropopause_omp
     LOGICAL, SAVE :: ok_daily_climoz_omp
@@ -244,11 +244,10 @@
     LOGICAL, SAVE :: ok_icefra_lscp_omp
     !rajout de choix_bulk et nit_bulk par Olivier Torres
-    INTEGER,SAVE  :: choix_bulk_omp
-    INTEGER,SAVE  :: nit_bulk_omp
-    INTEGER,SAVE  :: kz0_omp
+    INTEGER, SAVE :: choix_bulk_omp
+    INTEGER, SAVE :: nit_bulk_omp
+    INTEGER, SAVE :: kz0_omp
     LOGICAL, SAVE :: ok_bs_omp, ok_rad_bs_omp
 
-
-    INTEGER, INTENT(OUT):: read_climoz ! read ozone climatology, OpenMP shared
+    INTEGER, INTENT(OUT) :: read_climoz ! read ozone climatology, OpenMP shared
     ! Allowed values are 0, 1 and 2
     ! 0: do not read an ozone climatology
@@ -259,5 +258,5 @@
     !-----------------------------------------------------------------
 
-    print*,'CONFPHYS ENTREE'
+    print*, 'CONFPHYS ENTREE'
     !$OMP MASTER 
     !Config Key  = type_ocean 
@@ -285,8 +284,8 @@
     CALL getin('OCEAN', ocean_omp)
     IF (ocean_omp /= 'yyyyyy') THEN
-       WRITE(lunout,*)'ERROR! Old variable name OCEAN used in parmeter file.'
-       WRITE(lunout,*)'Variable OCEAN has been replaced by the variable type_ocean.'
-       WRITE(lunout,*)'You have to update your parameter file physiq.def to succed running'
-       CALL abort_physic('conf_phys','Variable OCEAN no longer existing, use variable name type_ocean',1)
+      WRITE(lunout, *)'ERROR! Old variable name OCEAN used in parmeter file.'
+      WRITE(lunout, *)'Variable OCEAN has been replaced by the variable type_ocean.'
+      WRITE(lunout, *)'You have to update your parameter file physiq.def to succed running'
+      CALL abort_physic('conf_phys', 'Variable OCEAN no longer existing, use variable name type_ocean', 1)
     ENDIF
 
@@ -299,7 +298,7 @@
     CALL getin('t_coupl', t_coupl_omp)
     IF (t_coupl_omp == 0) THEN
-       WRITE(lunout,*)'ERROR! Timestep of coupling between atmosphere and ocean'
-       WRITE(lunout,*)'cannot be zero.'
-       CALL abort_physic('conf_phys','t_coupl = 0.',1)
+      WRITE(lunout, *)'ERROR! Timestep of coupling between atmosphere and ocean'
+      WRITE(lunout, *)'cannot be zero.'
+      CALL abort_physic('conf_phys', 't_coupl = 0.', 1)
     ENDIF
 
@@ -329,5 +328,5 @@
     !Config Help = Type de modele de vegetation utilise
     !
-    type_veget_omp ='orchidee'
+    type_veget_omp = 'orchidee'
     CALL getin('VEGET', type_veget_omp)
     !
@@ -454,5 +453,5 @@
     !Config Desc = correction term for albedo
     !Config Def  = 1.01
-    correc_alb_omp=1.01
+    correc_alb_omp = 1.01
     CALL getin('correc_alb', correc_alb_omp)
 
@@ -462,5 +461,5 @@
     !Config Desc = sphericity of buffer layer in polar regions
     !Config Def  = 99.
-    buf_sph_pol_omp=99.
+    buf_sph_pol_omp = 99.
     CALL getin('buf_sph_pol', buf_sph_pol_omp)
 
@@ -469,9 +468,9 @@
     !Config Desc = grain size of buffer layer in polar regions in e-4m
     !Config Def  = 4.
-    buf_siz_pol_omp=4.
+    buf_siz_pol_omp = 4.
     CALL getin('buf_siz_pol', buf_siz_pol_omp)
 
     !==================================================================
-    
+
     !Config Key  = OK_journe
     !Config Desc = Pour des sorties journalieres 
@@ -561,5 +560,5 @@
     !
     flag_volc_surfstrat_omp = 0 ! NL: SURFSTRAT
-    CALL getin('flag_volc_surfstrat', flag_volc_surfstrat_omp) 
+    CALL getin('flag_volc_surfstrat', flag_volc_surfstrat_omp)
 
     !
@@ -570,5 +569,5 @@
     !
     aerosol_couple_omp = .FALSE.
-    CALL getin('aerosol_couple',aerosol_couple_omp)
+    CALL getin('aerosol_couple', aerosol_couple_omp)
     !
     !Config Key  = chemistry_couple
@@ -578,5 +577,5 @@
     !
     chemistry_couple_omp = .FALSE.
-    CALL getin('chemistry_couple',chemistry_couple_omp)
+    CALL getin('chemistry_couple', chemistry_couple_omp)
     !
     !Config Key  = flag_aerosol
@@ -596,5 +595,5 @@
 
     flag_aerosol_omp = 0
-    CALL getin('flag_aerosol',flag_aerosol_omp)
+    CALL getin('flag_aerosol', flag_aerosol_omp)
 
     !
@@ -607,5 +606,5 @@
     !
     flag_bc_internal_mixture_omp = .FALSE.
-    CALL getin('flag_bc_internal_mixture',flag_bc_internal_mixture_omp)
+    CALL getin('flag_bc_internal_mixture', flag_bc_internal_mixture_omp)
 
     ! 
@@ -615,6 +614,6 @@
     !Config Help = Used in readaerosol.F90 
     ! 
-    aer_type_omp = 'scenario' 
-    CALL getin('aer_type', aer_type_omp) 
+    aer_type_omp = 'scenario'
+    CALL getin('aer_type', aer_type_omp)
 
     !
@@ -681,5 +680,5 @@
     CALL getin('ip_ebil_phy', ip_ebil_phy_omp)
     IF (ip_ebil_phy_omp/=0) THEN
-       CALL abort_physic('conf_phys','ip_ebil_phy_omp doit etre 0 sur cette version',1)
+      CALL abort_physic('conf_phys', 'ip_ebil_phy_omp doit etre 0 sur cette version', 1)
     ENDIF
 
@@ -784,7 +783,7 @@
     !               
     CFC11_ppt_omp = 280.
-    CALL getin('CFC11_ppt',CFC11_ppt_omp)
+    CALL getin('CFC11_ppt', CFC11_ppt_omp)
     !conversion en rapport de mélange massique
-    RCFC11_omp=CFC11_ppt_omp* 1.0E-12 * RMCFC11 / RMD
+    RCFC11_omp = CFC11_ppt_omp * 1.0E-12 * RMCFC11 / RMD
     !
     !Config Key  = RCFC12
@@ -794,5 +793,5 @@
     !               
     CFC12_ppt_omp = 484.
-    CALL getin('CFC12_ppt',CFC12_ppt_omp)
+    CALL getin('CFC12_ppt', CFC12_ppt_omp)
     !conversion en rapport de mélange massique
     RCFC12_omp = CFC12_ppt_omp * 1.0E-12 * RMCFC12 / RMD
@@ -835,7 +834,7 @@
     !               
     CFC11_ppt_per_omp = CFC11_ppt_omp
-    CALL getin('CFC11_ppt_per',CFC11_ppt_per_omp)
+    CALL getin('CFC11_ppt_per', CFC11_ppt_per_omp)
     !conversion en rapport de mélange massique
-    RCFC11_per_omp=CFC11_ppt_per_omp* 1.0E-12 * RMCFC11 / RMD
+    RCFC11_per_omp = CFC11_ppt_per_omp * 1.0E-12 * RMCFC11 / RMD
     !
     !Config Key  = RCFC12_per
@@ -845,5 +844,5 @@
     !               
     CFC12_ppt_per_omp = CFC12_ppt_omp
-    CALL getin('CFC12_ppt_per',CFC12_ppt_per_omp)
+    CALL getin('CFC12_ppt_per', CFC12_ppt_per_omp)
     !conversion en rapport de mélange massique
     RCFC12_per_omp = CFC12_ppt_per_omp * 1.0E-12 * RMCFC12 / RMD
@@ -859,5 +858,5 @@
     !Config         Peut etre util pour accelerer le code !
     iflag_cycle_diurne_omp = 1
-    CALL getin('iflag_cycle_diurne',iflag_cycle_diurne_omp)
+    CALL getin('iflag_cycle_diurne', iflag_cycle_diurne_omp)
 
     !Config  Key  = soil_model
@@ -868,5 +867,5 @@
     !Config         plus de choix ! Ou meme une liste d'options !
     soil_model_omp = .TRUE.
-    CALL getin('soil_model',soil_model_omp)
+    CALL getin('soil_model', soil_model_omp)
 
     !Config  Key  = new_oliq
@@ -876,5 +875,5 @@
     !Config         nouvelle parametrisation de l'eau liquide !
     new_oliq_omp = .TRUE.
-    CALL getin('new_oliq',new_oliq_omp)
+    CALL getin('new_oliq', new_oliq_omp)
 
     !Config  Key  = ok_orodr
@@ -884,5 +883,5 @@
     !Config         
     ok_orodr_omp = .TRUE.
-    CALL getin('ok_orodr',ok_orodr_omp)
+    CALL getin('ok_orodr', ok_orodr_omp)
 
     !Config  Key  =  ok_orolf
@@ -931,5 +930,5 @@
     !Config         idee, pourquoi ne pas mettre toujours a y ???
     ok_limitvrai_omp = .FALSE.
-    CALL getin('ok_limitvrai',ok_limitvrai_omp)
+    CALL getin('ok_limitvrai', ok_limitvrai_omp)
 
     !Config  Key  = nbapp_rad
@@ -939,5 +938,5 @@
     !Config         par jour.
     nbapp_rad_omp = 12
-    CALL getin('nbapp_rad',nbapp_rad_omp)
+    CALL getin('nbapp_rad', nbapp_rad_omp)
 
     !rajout Olivier Torres
@@ -950,5 +949,5 @@
     !Config         3 -> CORE-"mixte" (avec z_0 et C_T^N donnees par Smith 88)
     choix_bulk_omp = 0
-    CALL getin('choix_bulk',choix_bulk_omp)
+    CALL getin('choix_bulk', choix_bulk_omp)
 
     !Config  Key  = nit_bulk
@@ -956,5 +955,5 @@
     !Config  Def  = 5
     nit_bulk_omp = 1
-    CALL getin('nit_bulk',nit_bulk_omp)
+    CALL getin('nit_bulk', nit_bulk_omp)
 
     !Config  Key  = kz0
@@ -965,5 +964,5 @@
     !Config         2 -> Direct computation using the stability functions
     kz0_omp = 0
-    CALL getin('kz0',kz0_omp)
+    CALL getin('kz0', kz0_omp)
 
 
@@ -976,5 +975,5 @@
     !Config         3 pour CCM(NCAR)  
     iflag_con_omp = 2
-    CALL getin('iflag_con',iflag_con_omp)
+    CALL getin('iflag_con', iflag_con_omp)
 
     !Config  Key  = nbapp_cv
@@ -984,5 +983,5 @@
     !Config         par jour. Si =0, appel a chaque pas de temps physique.
     nbapp_cv_omp = 0
-    CALL getin('nbapp_cv',nbapp_cv_omp)
+    CALL getin('nbapp_cv', nbapp_cv_omp)
 
     !Config  Key  = nbapp_wk
@@ -992,5 +991,5 @@
     !Config         par jour. Si =0, appel a chaque pas de temps physique.
     nbapp_wk_omp = 0
-    CALL getin('nbapp_wk',nbapp_wk_omp)
+    CALL getin('nbapp_wk', nbapp_wk_omp)
 
     !Config  Key  = iflag_ener_conserv
@@ -1001,5 +1000,5 @@
     !Config         1  conservation kinetic and enthalpy
     iflag_ener_conserv_omp = -1
-    CALL getin('iflag_ener_conserv',iflag_ener_conserv_omp)
+    CALL getin('iflag_ener_conserv', iflag_ener_conserv_omp)
 
     !Config  Key  = ok_conserv_q
@@ -1010,5 +1009,5 @@
     !Config         n -> conformite avec versions anterieures au 1/4/2014
     ok_conserv_q_omp = .FALSE.
-    CALL getin('ok_conserv_q',ok_conserv_q_omp)
+    CALL getin('ok_conserv_q', ok_conserv_q_omp)
 
     !
@@ -1052,6 +1051,6 @@
     CALL getin('epmax', epmax_omp)
 
-    coef_epmax_cape_omp = 0.0   
-    CALL getin('coef_epmax_cape', coef_epmax_cape_omp)        
+    coef_epmax_cape_omp = 0.0
+    CALL getin('coef_epmax_cape', coef_epmax_cape_omp)
     !
     !Config Key  = ok_adj_ema
@@ -1061,5 +1060,5 @@
     !
     ok_adj_ema_omp = .FALSE.
-    CALL getin('ok_adj_ema',ok_adj_ema_omp)
+    CALL getin('ok_adj_ema', ok_adj_ema_omp)
     !
     !Config Key  = iflag_clw
@@ -1069,6 +1068,6 @@
     !
     iflag_clw_omp = 0
-    CALL getin('iflag_clw',iflag_clw_omp)
-    
+    CALL getin('iflag_clw', iflag_clw_omp)
+
 
     !Config Key  = iflag_ratqs
@@ -1078,5 +1077,5 @@
     !
     iflag_ratqs_omp = 1
-    CALL getin('iflag_ratqs',iflag_ratqs_omp)
+    CALL getin('iflag_ratqs', iflag_ratqs_omp)
 
     !
@@ -1087,5 +1086,5 @@
     !
     iflag_radia_omp = 1
-    CALL getin('iflag_radia',iflag_radia_omp)
+    CALL getin('iflag_radia', iflag_radia_omp)
 
     !
@@ -1096,5 +1095,5 @@
     !
     iflag_rrtm_omp = 0
-    CALL getin('iflag_rrtm',iflag_rrtm_omp)
+    CALL getin('iflag_rrtm', iflag_rrtm_omp)
 
     !
@@ -1105,11 +1104,11 @@
     !
     NSW_omp = 2
-    CALL getin('NSW',NSW_omp)
+    CALL getin('NSW', NSW_omp)
     !albedo SB >>>
     iflag_albedo_omp = 0
-    CALL getin('iflag_albedo',iflag_albedo_omp)
-
-    ok_chlorophyll_omp=.FALSE.
-    CALL getin('ok_chlorophyll',ok_chlorophyll_omp)
+    CALL getin('iflag_albedo', iflag_albedo_omp)
+
+    ok_chlorophyll_omp = .FALSE.
+    CALL getin('ok_chlorophyll', ok_chlorophyll_omp)
     !albedo SB <<<
     !
@@ -1123,7 +1122,7 @@
     ok_suntime_rrtm_omp = .FALSE.
     IF (iflag_rrtm_omp==1) THEN
-      CALL getin('ok_suntime_rrtm',ok_suntime_rrtm_omp)
+      CALL getin('ok_suntime_rrtm', ok_suntime_rrtm_omp)
     ENDIF
-    
+
     !Config Key  = flag_aerosol_strat
     !Config Desc = use stratospheric aerosols 0, 1, 2
@@ -1136,5 +1135,5 @@
     !
     flag_aerosol_strat_omp = 0
-    CALL getin('flag_aerosol_strat',flag_aerosol_strat_omp)
+    CALL getin('flag_aerosol_strat', flag_aerosol_strat_omp)
 
     !Config Key  = flag_aer_feedback
@@ -1145,7 +1144,7 @@
     !Config Help = Used in physiq.F
     !
-    flag_aer_feedback_omp = .TRUE. 
+    flag_aer_feedback_omp = .TRUE.
     IF (iflag_rrtm_omp==1) THEN
-       CALL getin('flag_aer_feedback',flag_aer_feedback_omp)
+      CALL getin('flag_aer_feedback', flag_aer_feedback_omp)
     ENDIF
 
@@ -1159,8 +1158,8 @@
     ! pour assurer une retrocompatiblite.
     ! A abandonner un jour
-    CALL getin('iflag_cldcon',iflag_cld_th_omp)
-    CALL getin('iflag_cld_th',iflag_cld_th_omp)
-    iflag_cld_cv_omp = 0 
-    CALL getin('iflag_cld_cv',iflag_cld_cv_omp)
+    CALL getin('iflag_cldcon', iflag_cld_th_omp)
+    CALL getin('iflag_cld_th', iflag_cld_th_omp)
+    iflag_cld_cv_omp = 0
+    CALL getin('iflag_cld_cv', iflag_cld_cv_omp)
 
     !
@@ -1171,5 +1170,5 @@
     !
     tau_cld_cv_omp = 10.
-    CALL getin('tau_cld_cv',tau_cld_cv_omp)
+    CALL getin('tau_cld_cv', tau_cld_cv_omp)
 
     !
@@ -1180,5 +1179,5 @@
     !
     coefw_cld_cv_omp = 0.1
-    CALL getin('coefw_cld_cv',coefw_cld_cv_omp)
+    CALL getin('coefw_cld_cv', coefw_cld_cv_omp)
 
 
@@ -1192,5 +1191,5 @@
     !
     fact_cldcon_omp = 0.375
-    CALL getin('fact_cldcon',fact_cldcon_omp)
+    CALL getin('fact_cldcon', fact_cldcon_omp)
 
     !
@@ -1201,5 +1200,5 @@
     !
     facttemps_omp = 1.e-4
-    CALL getin('facttemps',facttemps_omp)
+    CALL getin('facttemps', facttemps_omp)
 
     !
@@ -1210,5 +1209,5 @@
     !
     ok_newmicro_omp = .TRUE.
-    CALL getin('ok_newmicro',ok_newmicro_omp)
+    CALL getin('ok_newmicro', ok_newmicro_omp)
     !
     !Config Key  = ratqsbas
@@ -1218,5 +1217,5 @@
     !
     ratqsbas_omp = 0.01
-    CALL getin('ratqsbas',ratqsbas_omp)
+    CALL getin('ratqsbas', ratqsbas_omp)
     !
     !Config Key  = ratqshaut
@@ -1226,5 +1225,5 @@
     !
     ratqshaut_omp = 0.3
-    CALL getin('ratqshaut',ratqshaut_omp)
+    CALL getin('ratqshaut', ratqshaut_omp)
 
     !Config Key  = tau_ratqs
@@ -1234,5 +1233,5 @@
     !
     tau_ratqs_omp = 1800.
-    CALL getin('tau_ratqs',tau_ratqs_omp)
+    CALL getin('tau_ratqs', tau_ratqs_omp)
 
     !
@@ -1246,5 +1245,5 @@
     !
     solarlong0_omp = -999.999
-    CALL getin('solarlong0',solarlong0_omp)
+    CALL getin('solarlong0', solarlong0_omp)
     !
     !-----------------------------------------------------------------------
@@ -1253,9 +1252,9 @@
     ! Default value -1 to activate the full computation
     qsol0_omp = -1.
-    CALL getin('qsol0',qsol0_omp)
+    CALL getin('qsol0', qsol0_omp)
     evap0_omp = -1.
-    CALL getin('evap0',evap0_omp)
+    CALL getin('evap0', evap0_omp)
     albsno0_omp = -1.
-    CALL getin('albsno0',albsno0_omp)
+    CALL getin('albsno0', albsno0_omp)
     !
     !-----------------------------------------------------------------------
@@ -1267,5 +1266,5 @@
     !
     iflag_sic_omp = 0
-    CALL getin('iflag_sic',iflag_sic_omp)
+    CALL getin('iflag_sic', iflag_sic_omp)
     !
     !Config Key  = iflag_inertie
@@ -1275,5 +1274,5 @@
     !
     iflag_inertie_omp = 0
-    CALL getin('iflag_inertie',iflag_inertie_omp)
+    CALL getin('iflag_inertie', iflag_inertie_omp)
     !
     !Config Key  = inertie_sic
@@ -1283,5 +1282,5 @@
     !
     inertie_sic_omp = 2000.
-    CALL getin('inertie_sic',inertie_sic_omp)
+    CALL getin('inertie_sic', inertie_sic_omp)
     !
     !Config Key  = inertie_lic
@@ -1291,5 +1290,5 @@
     !
     inertie_lic_omp = 2000.
-    CALL getin('inertie_lic',inertie_lic_omp)
+    CALL getin('inertie_lic', inertie_lic_omp)
     !
     !Config Key  = inertie_sno
@@ -1299,5 +1298,5 @@
     !
     inertie_sno_omp = 2000.
-    CALL getin('inertie_sno',inertie_sno_omp)
+    CALL getin('inertie_sno', inertie_sno_omp)
     !
     !Config Key  = inertie_sol
@@ -1307,5 +1306,5 @@
     !
     inertie_sol_omp = 2000.
-    CALL getin('inertie_sol',inertie_sol_omp)
+    CALL getin('inertie_sol', inertie_sol_omp)
 
     !
@@ -1316,5 +1315,5 @@
     !
     rad_froid_omp = 35.0
-    CALL getin('rad_froid',rad_froid_omp)
+    CALL getin('rad_froid', rad_froid_omp)
 
     !
